<?php
session_start();
include("../cls_conexion.php");
$CNN=new ClsMySQL();
include("../conexion23.php");

//
$CW="NO";
$CMD=V($_POST['TxtAc']);
$HW="";
$CX=V($_POST['TXT_CX']);
if(vbval($CX)==0){
	$CX=vbval(V($_GET['CX']));
}
//
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("../login.php");	return;}
//
if($CMD=="ADD"){
	$Kod=V($_POST['Kod']);
	$Des=V($_POST['Des']);
	$Pre=vbval(V($_POST['Pre']));
	$Pie=vbval(V($_POST['Pie']));
	$Can=vbval(V($_POST['Can']));
	$Imp=vbval(V($_POST['Imp']));
	$Obs=V($_POST['Obs']);
	//
	$s="UPDATE fe_ventas_det_te 
		SET cod='$Kod',
			des='$Des',
			pre='$Pre',
			pre_=$Pre,
			can='$Can',
			can_=$Can,
			imp='$Imp',
			imp_=$Imp,
			obs='$Obs',pie=$Pie,pie_='$Pie' WHERE cx=$CX";
	ejt($s);
	//
	$CW="SI";
}
$Kod=gs("cod","fe_ventas_det_te","cx=$CX");
$Des=gs("des","fe_ventas_det_te","cx=$CX");
$Can=gn("can_","fe_ventas_det_te","cx=$CX");
$Pie=gn("pie_","fe_ventas_det_te","cx=$CX");
$Pre=gn("pre_","fe_ventas_det_te","cx=$CX");
$Imp=gn("imp_","fe_ventas_det_te","cx=$CX");
$Obs=gs("obs","fe_ventas_det_te","cx=$CX");
?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Editar item</title>
<!--INI_SCRIPT------------------------------------------------------------------------------>
<?php AddJs(); ?>
<script type="text/javascript" src="yy/funcionexx.js"></script>
<!--FIN_SCRIPT------------------------------------->
<link rel="stylesheet" type="text/css" href="estiloss.css"  />
<link rel="stylesheet" type="text/css" href="basixx.css"  />
<style type="text/css">
.cF {height:210px;width:1000px;position:relative;top:0px}
.tdf{
	font-size:15px;
}
</style>
<script>
$(document).ready(function(){  
   Inicializar();
   jF("Kod");
   if(gv("TXT_CW")=="SI"){
	   window.opener.document.getElementById("CMD_UP").click();
	   window.close();
   }
});
//
function fAdd(){
	var kod=gv("Kod");
	var des=gv("Des");
	var pre=gv("Pre");
	var can=gv("Can");
	var imp=gv("Imp");
	//
	if(jL(des)==0){
		return AF("Ingrese la descripcion","Des");
	}
	if(jL(pre)==0){
		return AF("Ingrese el precio unitario","Pre");
	}
	if(jL(can)==0){
		return AF("Ingrese la cantidad","Pre");
	}
	//
	SM("ADD");	
}
//
function fImporte(){
	var Pre=document.getElementById("Pre").value;
	var Can=document.getElementById("Can").value;
	var Uni=document.getElementById("Pie").value;
	var Importe=parseFloat("0");

	if(Pre.trim().length==0)Pre="0";
	if(Can.trim().length==0)Can="0";
	if(Uni.trim().length==0)Can="0";

	Pre=parseFloat(Pre);
	Can=parseFloat(Can);
	Uni=parseFloat(Uni);

	Importe=(Can * Uni) * Pre;
	Importe=Importe.toFixed(2);
	document.getElementById("Imp").value=Importe;
}
//
function CalImporte(){
	var pre=gv("Pre");
	var can=gv("Can");
	var imp=jVal(pre)*jVal(can);
	imp=imp.toFixed(2);
	sv("Imp",imp);	
}
</script>
</head>
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="fe_emision_item.php">
<!--INI_TITULO-->
<div id="DivT" class="dT" style="width:1000px" >
<img src="img/buscar.png" width="56" height="52" class="iT" />
<div class="tT">EDITAR ITEM</div>
</div>
<!--FIN_TITULO-->
<div class="s1" style="left: 116px; top: 41px; width: 140px; height: 16px; color:#FFF">
USUARIO: </div>

<div class="s1" style="left:35px; top: 95px; width: 65px; height: 18px;">
CODIGO</div>
<input name="Kod" type="text" id="Kod" 
class="lt"  style="left:35px; top: 112px; width: 85px;"
tabindex="<?php echo ++$TI;?>"
value="<?php echo $Kod;?>" />

<div class="s1" style="left:128px; top: 95px; width: 150px; height: 18px;">
DESCRIPCION
</div>
<input name="Des" type="text" id="Des" 
class="lt"  style="left:127px; top: 112px; width: 514px;"
tabindex="<?php echo ++$TI;?>"
value="<?php echo $Des;?>" />

<div class="s1" style="left:647px; top:94px; width: 51px; height: 16px;">
PRECIO</div>
<input name="Pre"  type="text" 
class="ndd"  id="Pre"  onKeyUp="fImporte();"
style="left:647px; top: 112px; width: 56px;" 
tabindex="<?php echo ++$TI;?>" value="<?php echo $Pre;?>"/>

<div class="s1" style="left:707px; top:95px; width: 51px; height: 20px;">
CANT</div>
<input name="Can"  type="text" 
class="ned"  id="Can"  onKeyUp="fImporte()"
style="left:707px; top: 112px; width: 50px;" 
tabindex="<?php echo ++$TI;?>" value="<?php echo $Can;?>"/>

<div class="s1" style="left:763px; top:95px; width: 51px; height: 20px;">
PIEZAS</div>
<input name="Pie"  type="text" 
class="ned"  id="Pie"  onKeyUp="fImporte()"
style="left:763px; top: 112px; width: 53px;" 
tabindex="<?php echo ++$TI;?>" value="<?php echo $Pie;?>"/>

<div class="s1" style="left:826px; top:95px; width: 68px; height: 18px;">
IMPORTE</div>
<input name="Imp"  type="text" 
class="rod"  id="Imp" 
style="left:825px; top: 112px; width: 68px;"
value="<?php echo $Imp;?>"/>

<input name="CmdAdd" type="button" id="CmdAdd" 
onClick="fAdd();"  tabindex="<?php echo ++$TI;?>"
style="position:absolute; left:899px; top:112px; width: 75px;" 
value="Actualizar">


<!--INI_BOTONES----->
<?php 
//$VOLVER="formularios.php";
?>
<!--FIN_BOTONES-->
<!--INI_TABLA-----><!--FIN_TABLA----->
<?php include("ocultos.php");?>
<input name="TXT_CW" type="hidden" id="TXT_CW" value="<?php echo $CW;?>">
<input name="TXT_CX" type="hidden" id="TXT_CX" value="<?php echo $CX;?>">
</form>
</div>
</div>
</body>
</html>
